Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 16:11
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Warzone 2100
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [17 Posts]   Goto page: 1, 2 Next
Author Message
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Mon 31 Jan 2011, 08:50    Post subject:  Warzone 2100
Subject description: real-time strategy game in a post-apocalyptic setting
 

Warzone 2100 is a real-time strategy game in a post-apocalyptic setting that was developed by Pumpkin Studios in 1999. It was one of the first real-time strategy games in 3D, and is now the first commercial RTS that was made available under the GPL
Warzone 2100 has 400 different typs of technologies allow you to design more than 2000 battle units. The game features a full 3D game engine with a rotatable and zoomable camera. Go head to head against the AI or battle online with other players.

System requirements

These are approximate.

~1 GHz CPU
64 MB graphics card with good OpenGL support (make sure you have the newest drivers installed)
~100 MB free RAM for the game

this .sfs doesn't work in the puppy4 series. however 'AF Branden' has made a pet that works for that series..scroll eight posts down to find it

http://www.mediafire.com/file/sgpg988vghnb21f/warzone2100-2.3.9_sfs4.sfs 57mb
MD5 b0463ee880eb9683277e262975968b2c

video files for warzone can be downloaded here http://www.wz2100.net/download
Note: drag and drop the 'sequences.wz' to /root/.warzone2100-2.3 and choose link relative

addons here http://addons.wz2100.net/

cheers 666philb

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642

Last edited by 666philb on Wed 01 Feb 2012, 15:00; edited 7 times in total
Back to top
View user's profile Send private message 
Schism


Joined: 12 Dec 2008
Posts: 78

PostPosted: Mon 31 Jan 2011, 11:29    Post subject:  

Works great for me using Lighthouse Pup 5.02 G. Thanxxx!
Back to top
View user's profile Send private message 
AF Branden


Joined: 15 Sep 2009
Posts: 175
Location: United States, WA

PostPosted: Wed 16 Feb 2011, 21:40    Post subject:  

Doesn't work on 4.2.1. Dependency issues that I can't seem to sort.
_________________

Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Thu 17 Feb 2011, 05:14    Post subject:  

AF Branden

hi AF Branden, i had a go at getting it to work in my old puppy, but was stopped immediately as i can't even find an nvidia driver.pet! So even though i had installed some bodgy depedences, and met all the ldd dependency check, i can't even see if it will work! Going back to that version of puppy made me feel like a complete noob again.....ie. scratching head and nothing working!nothing in the PPM...... Thank heavens for lupu!!!

If you can find me an nvidia.pet (for later cards)for that puppy,that works, i will have another go at getting it to work. Other wise i suggest you make yourself a lupu520 disc and use it for all the things that you can't get to work in your old puppy.......

666philb

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
AF Branden


Joined: 15 Sep 2009
Posts: 175
Location: United States, WA

PostPosted: Thu 17 Feb 2011, 05:17    Post subject:  

I use the drivers in this thread:

http://www.murga-linux.com/puppy/viewtopic.php?t=34001

First link is broken, second link works.

_________________


Last edited by AF Branden on Thu 17 Feb 2011, 05:19; edited 2 times in total
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Thu 17 Feb 2011, 05:17    Post subject:  

i had a go with with those driver links but no luck....... me and old puppies just don't get on!

If you've got a savefile backed up, and are up for experimenting...you can go here to scratch around here for missing dependences, but i've no idea what will work on that puppy or break it! http://pkgs.org/

don't even think about it if you've got a full install though!

sorry i couldn't be more help

666philb
Back to top
View user's profile Send private message 
AF Branden


Joined: 15 Sep 2009
Posts: 175
Location: United States, WA

PostPosted: Thu 17 Feb 2011, 05:57    Post subject:  

It's ok, thanks anyway, I think I just need to compile it for 4.2.1 because it says I need glibc 2.8, and I read that upgrading glibc can break puppy.
The version that comes with 4.2.1 is glibc 2.6.1, and yes I have a full install.

UPDATE: Seems I got everything sorted but now when I run it I get this error:

# warzone2100
error |01:33:58: [screenInitialise] Video mode 0x-1208921776@32bpp is not supported!
info |01:33:58: [frameInitialise] Trying windowed mode now.
error |01:33:58: [screenInitialise] Video mode 0x-1208921776@32bpp is not supported!
#

What does this mean? I tried both 16bit and 32bit both give an error.

Edit: WOOT! Its working now, I typed warzone2100 --resolution=1024x768 in terminal and it started right up.

When I find time, i'll upload a .pet for puppy 4 series and older.

_________________


Last edited by AF Branden on Thu 17 Feb 2011, 08:55; edited 1 time in total
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Thu 17 Feb 2011, 08:29    Post subject:  

that's excellent news. Glad you managed to sort it out!

666philb

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
AF Branden


Joined: 15 Sep 2009
Posts: 175
Location: United States, WA

PostPosted: Thu 17 Feb 2011, 18:47    Post subject:  

If your using puppy 4 series or older and philb's package doesn't work, try this one:

warzone2100-2.3.4_i386.pet
http://www.mediafire.com/?a8btafmc1l31qy2


wzdependencies2.pet
http://www.mediafire.com/?a07vlszx787nqnu

If on first run you get an error similiar to this:

# warzone2100
error |01:33:58: [screenInitialise] Video mode 0x-1208921776@32bpp is not supported!
info |01:33:58: [frameInitialise] Trying windowed mode now.
error |01:33:58: [screenInitialise] Video mode 0x-1208921776@32bpp is not supported!
#

Run "warzone2100 --resolution=widthxheight" in a terminal without the quotes.

Example: warzone2100 --resolution=1024x768

_________________

Back to top
View user's profile Send private message 
mich04

Joined: 24 Jan 2012
Posts: 20

PostPosted: Tue 31 Jan 2012, 21:11    Post subject:  

I was having problems getting the game to run, and I installed the sdl package here. Is there a way to get an updated pet package of warzone2100. The version you have here has some annoyances. Smile Thanks


http://www.murga-linux.com/puppy/viewtopic.php?p=249335
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Wed 01 Feb 2012, 14:59    Post subject:  

hi mich04

i've updated to the latest stable.(first post) it was compiled and tested on lucid puppy. not sure if it will work on other pups.

what puppy are you using?


666philb

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
mich04

Joined: 24 Jan 2012
Posts: 20

PostPosted: Tue 07 Feb 2012, 18:06    Post subject:  

so I had installed the pet package from AF Brandon It worked That's actually what I had installed before not your sfs package., I just uninstalled and tried to load your .sfs package. Here is the output. It will not start for me.


error |04:00:41: [screenInitialise] Video mode 0x-1216468192@32bpp is not supported!
info |04:00:41: [frameInitialise] Trying windowed mode now.
error |04:00:41: [screenInitialise] Video mode 0x-1216468192@32bpp is not supported!


I am still trying to trouble shoot what is going on. I am running guy dog 5.0.1

Thanks for your hard work Smile
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Wed 08 Feb 2012, 08:26    Post subject:  

not tried this in guydog.... i expect it needs your video drivers installed.... have you tried what af brandon suggests
Code:
warzone2100 --resolution=1024x768
in a terminal
_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
mich04

Joined: 24 Jan 2012
Posts: 20

PostPosted: Tue 14 Feb 2012, 08:49    Post subject:  

that was it great package Smile
Back to top
View user's profile Send private message 
Glorfindel

Joined: 23 Oct 2014
Posts: 8

PostPosted: Thu 23 Oct 2014, 14:47    Post subject:  

Could someone upload the .pet files again? they seem to have been deleted from mediafire. Sad
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [17 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0786s ][ Queries: 11 (0.0097s) ][ GZIP on ]